%define upstream_name    MooseX-Interface
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Random thoughts that might one day become a proper tutorial
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role) >= 2.0.0
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(constant) >= 1.10.0
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildArch:  noarch

%description
MooseX::Interface provides something similar to the concept of interfaces
as found in many object-oriented programming languages like Java and PHP.

"What?!" I hear you cry, "can't this already be done in Moose using roles?"

Indeed it can, and that's precisely how MooseX::Interface works. Interfaces
are just roles with a few additional restrictions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 370187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306182
- update to 0.006

* Fri Oct 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 302909
- imported package perl-MooseX-Interface

